PHP is one of the most commonly used server-side coding languages. It is extremely popular because it’s free software, which you can use to create responsive sites like community web portals, shopping portals or e-teaching sites rather than static HTML-based sites. A PHP module must be available on the web server where a PHP-driven website is hosted so that its PHP code can be interpreted. Because there are no license charges for such a module and the language itself provides unlimited options for the applications that you set up, there’re hundreds of millions of PHP websites. Additionally, there’re a multitude of PHP-based scripts, which you can use for your websites without the need to possess any coding abilities. Given the fact that there’re several versions of PHP, you need to check whether the same version that you used whilst creating your site is present on the server as well.

PHP 4, PHP 5, PHP 7 and PHP 8 Support in Shared Hosting

We have made the decision not to prevent our present and future customers from choosing what PHP version their websites will be using, which implies that in case you get a shared hosting package from us, you will be able to pick between versions 4, 5 and 7, not only for the account as a whole, but also for each individual domain hosted by you. This can be accomplished with just one mouse click through our in-house created Hepsia Control Panel via which all shared accounts are administered, which is why you won’t need to have any coding or technical know-how. You will be able to manage websites built with both old and new PHP scripts without having to deal with any predicaments, so if you’d like to drop your current hosting vendor and move over to us, you can rest assured that all the websites that you’ve created over the years will continue to work impeccably.

PHP 4, PHP 5, PHP 7 and PHP 8 Support in Semi-dedicated Hosting

Even if your sites were created with an earlier PHP version, you will be able to host them in a semi-dedicated server account from us, since we support different versions running simultaneously on our servers and each of them can be enabled for your account with no more than one click of the mouse via our in-house created Hepsia Control Panel. Besides the newest PHP 8, we also offer support for 5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 and the older PHP 4, which has already been abandoned by the vast majority of hosting companies, but we strongly think that you should not be compelled to modify a site that took years to build, as older scripting language syntax doesn’t always equal security loopholes. Quite the opposite, a well-maintained site using PHP 4 can be more reliable than an inadequately maintained one using PHP 5. For the sake of your convenience, we will also provide you with the opportunity to specify a different version for each single website within the account.